#
# spec file for package lha (Version 1.14i)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib gcc gdbm gettext libtool perl rpm

Name:         lha
License:      distributable, Other License(s), see package
Group:        Productivity/Archiving/Compression
Autoreqprov:  on
Version:      1.14i
Release:      571
Summary:      Pack Program
URL:          http://shibuya.cool.ne.jp/lha/
Source:       lha-114i.tar.bz2
Source1:      lha.1
Patch:        lha-114i.dif
Patch1:       lha-114g-tempfile.patch
Patch2:       lha-114i-ia64.dif
Patch3:       lha-overflow+traversal.patch
Patch4:       lha.obscure_buf_oflow.patch
Patch5:       lha-security-code-review.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Lha is a packer comparable to ZIP (PKZIP), ZOO, and more. It has been
included for compatibility reasons only. Use GZIP for general archiving
purposes, as it is the standard for Linux.



Authors:
--------
    Masaru Oki <oki@wbg.telcom.oki.co.jp>

%prep
%setup -n lha-114i
%patch
%patch -P 1 -p 0 -b .tmpfile
%patch2
cd src
%patch3
%patch4
%patch5
cd ..
cp %{S:1} man/

%build
make OPTIMIZE="${RPM_OPT_FLAGS} -DSYSTIME_HAS_NO_TM"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,share/man/{,ja/}man1}
make install BINDIR=$RPM_BUILD_ROOT/usr/bin \
	MANDIR=$RPM_BUILD_ROOT%{_mandir} MANSECT=1

%clean
rm -r $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/lha
%doc /usr/share/man/man1/*
%doc /usr/share/man/ja/man1/*

%changelog -n lha
* Fri Jul 23 2004 - sbrabec@suse.cz
- Security code review (bug #43081).
* Mon May 24 2004 - sbrabec@suse.cz
- Added patch for obscure buffer overflow (#40975).
* Fri Apr 23 2004 - sbrabec@suse.cz
- Fixed buffer overflows for long filenames (CAN-2004-0234).
- Added directory traversal protection (CAN-2004-0235) (#39178).
* Wed Apr 25 2001 - cihlar@suse.cz
- fixed warnings on ia64
* Wed Mar 07 2001 - cihlar@suse.cz
- update to version 1.14i
* Tue Feb 06 2001 - cihlar@suse.cz
- added -DSYSTIME_HAS_NO_TM
* Wed Jan 10 2001 - werner@suse.de
- Add temporary file patch
* Wed Nov 22 2000 - cihlar@suse.cz
- update to version 1.11h
- bzipped sources
* Fri Aug 11 2000 - cihlar@suse.cz
- update to version 1.14g
- fixed manpage
* Fri Mar 03 2000 - kasal@suse.de
- Oops, a few lines in dif were redundant.
* Fri Mar 03 2000 - kasal@suse.de
- added buildroot
- moved man page to /usr/share/man/ja
- fixed english manpage install
* Thu Mar 02 2000 - uli@suse.de
- moved man page to /usr/share
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Aug 04 1999 - kukuk@suse.de
- Add english manual page
* Thu Jan 02 1997 - rj@suse.de
- new package version 1.0
